MAT_VARGETNUMBEROFFIELDS(3)

NAME
Mat_VarGetNumberOfFields - Gets the number of fields for a structure variable.

SYNOPSIS
#include <matio.h>
unsigned
Mat_VarGetNumberOfFields(const matvar_t *matvar);

DESCRIPTION
The Mat_VarGetNumberOfFields() function returns the number of fields for the structure variable matvar.

RETURN VALUES
The number of fields will be returned on success, and 0 otherwise. Note also that a structure can validly contain 0 fields.

SEE ALSO
Mat_VarGetStructFieldnames(3)